org.apache.felix.obrplugin

## Class AbstractFileMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.obrplugin.AbstractFileMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo
  Direct Known Subclasses:
    ObrDeployFile, ObrInstallFile

      public abstract class AbstractFileMojo
      extends org.apache.maven.plugin.AbstractMojo

  Base class for the command-line install-file and deploy-file goals.
  Author:
    Felix Project Team

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected File` | `file` Bundle file, defaults to the artifact in the local Maven repository.
    `protected String` | `obrXml` Optional XML file describing additional requirements and capabilities.

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFileMojo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.maven.project.MavenProject` | `getProject()`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.plugin.Mojo

      `execute`

- - ### Field Detail

    - #### file

          @Parameter(property="file")
          protected File file

      Bundle file, defaults to the artifact in the local Maven repository.

    - #### obrXml

          @Parameter(property="obrXml")
          protected String obrXml

      Optional XML file describing additional requirements and capabilities.

  - ### Constructor Detail

    - #### AbstractFileMojo

          public AbstractFileMojo()

  - ### Method Detail

    - #### getProject

          public org.apache.maven.project.MavenProject getProject()
                                                           throws org.apache.maven.plugin.MojoExecutionException

      Returns:
        project based on command-line settings, with bundle attached
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2015. All rights reserved.